SHEBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: up.m4,v 1.1 2003/05/04 01:09:32 babolo Exp $

JNTROSTUP(ntpd,,dnl
,dnl
# jailup ntpd dir jailname jailaddr
#     where dir relative to ${jailupdir} and ${jailrodir}
# ntpd from base system used
# !!! Please help me to fix ntpd jailed !!!dnl
)

jdir="${1}"
jailsname="${2}"
jailsaddr="${3}"
main_dir="${JAILUPDIR}/${jdir}"
conf_dir="${JAILRODIR}/${jdir}"

${mkdir} "${main_dir}" "${conf_dir}"
${up_mdir} "${main_dir}" ${MTREE}
ETCOPY(host.conf hosts ntp.conf resolv.conf)

${up_shlib} "${main_dir}/usr/lib" << "EOF"
    c m
EOF

${up_libexe} "${main_dir}/usr/libexec" << EOF
    ld-elf.so.1
    ntpd
EOF

      #####################################
      ####                             ####
      #### Begin of ntpd conf          ####
      ####                             ####
if  [ ! -s "${conf_dir}/ntp.conf" ]; then
    ${cat} << "EOF" > "${conf_dir}/ntp.conf"
#server some.server
#server another.server

#peer some.peer
#peer another.peer

#disable ntp
driftfile /tmp/ntp.drift
statsdir /tmp
#statistics loopstats peerstats clockstats rawstats
#filegen loopstats file loop type month link enable
#filegen peerstats file peer type month link enable
#filegen clockstats file clock type month link enable
#filegen rawstats file raw type month link enable

#restrict default notrust nomodify
#restrict some.server nomodify
#restrict another.server nomodify
#restrict some.peer nomodify
#restrict another.peer nomodify
restrict 127.0.0.1
EOF
fi
      ####                             ####
      #### End of ntpd conf            ####
      ####                             ####
      #####################################

${mtree} -Ueqxp "${main_dir}" -f ${MTREE}
${mtree} -Ueqxp "${conf_dir}" << "EOF"
/set type=file uname=root gname=wheel mode=0644 flags=none
.		type=dir mode=0755
    host.conf
    hosts
    resolv.conf
    localtime
    ntp.conf
..
EOF

${cat} << EOF >> "${genconfig}"
#${genclass}	${inclass}	${jdir}	${jailsname}		${jailsaddr}	0	0	0
#${genclass}	${inclass}-chroot	${jdir}	${jailsname}		${jailsaddr}	0	0	0
EOF

      #####################################
      ####                             ####
      #### Begin of fstab mod          ####
      ####                             ####
${cat} << EOF >> "${etcdir}/fstab"
#${conf_dir}		${main_dir}/etc	null	ro,nodev,noexec	0 0
EOF
      ####                             ####
      #### End of fstab mod            ####
      ####                             ####
      #####################################
